MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025349Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-10 12:112014-11-12 09:04
Reporterdbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025349: Graphic3d_MaterialAspect::Color() returns a value different from that set by the method Graphic3d_MaterialAspect::SetColor
DescriptionGraphic3d_MaterialAspect::Color() returns a color with modified RGB values.
This causes some illogic, especially when using the top-level classes. For example AIS_Shape::Color() returns a value different from that set by AIS_Shape::SetColor()
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024855closedapn Open CASCADE Revision of parameters of standard materials 
has duplicate 0025391closedPawel Community Graphic3d_MaterialAspect: getting/setting color discrepancy. 

-  Notes
(0032991)
git (administrator)
2014-10-10 18:54

Branch CR25349 has been created by dbp.

SHA-1: eead673de5848b6f3f8e629193ef6bb09f69df02


Detailed log of new commits:

Author: dbp
Date: Fri Oct 10 18:54:25 2014 +0400

    0025349: Graphic3d_MaterialAspect::Color() returns a value different from that set by the method Graphic3d_MaterialAspect::SetColor
(0032993)
dbp (developer)
2014-10-10 18:57

Dear kgv,

please review the patch in branch CR25349.
(0033252)
san (developer)
2014-10-17 13:21

branch CR25349 reviewed, ready for testing.
(0033283)
git (administrator)
2014-10-17 19:00

Branch CR25349 has been updated forcibly by mkv.

SHA-1: d5e3b39e5e1b6e6747da7040bda2b21c372be045
(0033352)
mkv (tester)
2014-10-20 19:44

Dear BugMaster,
Branch CR25349 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: d5e3b39e5e1b6e6747da7040bda2b21c372be045

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 368594832 / 368543772
Total CPU difference: 45252.01000000003 / 44540.67000000001
products component :
Total MEMORY difference: 127728140 / 127714144
Total CPU difference: 17457.889999999978 / 17624.639999999974

Testing on Windows:
occt component :
Total MEMORY difference: 254062852 / 252953496
Total CPU difference: 33457.09375 / 34935.15625
products component :
Total MEMORY difference: 71487512 / 70259448
Total CPU difference: 11273.15625 / 11333.1875

There are following differences in images found by testdiff.
http://occt-tests/CR25349-master-occt/Debian60-64/diff-Debian60-64.html [^]
IMAGE bugs vis bug25060: bug25060_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug25132: bug25132_flight_solid.png differs
IMAGE bugs vis bug25132: bug25132_Partition_1.png differs
IMAGE bugs vis bug25132: bug25132_solid_with_cavities.png differs
IMAGE bugs vis bug24901: bug24901_Driver1_Viewer1_View1.png differs
(0033366)
git (administrator)
2014-10-21 11:41

Branch CR25349 has been updated by dbp.

SHA-1: 4e95e5d86cb4a871d922acd1393701ab6f163d94


Detailed log of new commits:

Author: dbp
Date: Tue Oct 21 11:41:19 2014 +0400

    Fix bug with default color of clip plane.

(0033367)
dbp (developer)
2014-10-21 11:42

Dear kgv,

please review updated patch in branch CR25349.
(0033368)
dbp (developer)
2014-10-21 11:53

Dear bugmaster,

please test the patch in branch CR25349.
(0033587)
mkv (tester)
2014-10-22 18:31

Dear BugMaster,
Branch CR25349 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 4e95e5d86cb4a871d922acd1393701ab6f163d94

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 368447220 / 368944548
Total CPU difference: 46671.560000000114 / 44655.91000000001
products component :
Total MEMORY difference: 124703124 / 125212584
Total CPU difference: 16910.25000000001 / 17169.099999999973

Testing on Windows:
occt component :
Total MEMORY difference: 254109876 / 252945828
Total CPU difference: 35212.0 / 34935.046875
products component :
Total MEMORY difference: 71539948 / 70288428
Total CPU difference: 11193.734375 / 11337.96875

There are no differences in images found by testdiff.
(0034270)
git (administrator)
2014-11-12 09:04

Branch CR25349 has been deleted by kgv.

SHA-1: 4e95e5d86cb4a871d922acd1393701ab6f163d94

- Related Changesets
occt: master 3fb72902
Timestamp: 2014-10-23 10:59:20
Author: dbp
Committer: bugmaster
Details ] Diff ]
0025349: Graphic3d_MaterialAspect::Color() returns a value different from that set by the method Graphic3d_MaterialAspect::SetColor

Fix bug with default color of clip plane.
mod - src/Graphic3d/Graphic3d_MaterialAspect.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-10 12:11 dbv New Issue
2014-10-10 12:11 dbv Assigned To => dbp
2014-10-10 12:14 dbv Relationship added related to 0024855
2014-10-10 18:54 git Note Added: 0032991
2014-10-10 18:57 dbp Note Added: 0032993
2014-10-10 18:57 dbp Assigned To dbp => kgv
2014-10-10 18:57 dbp Status new => resolved
2014-10-17 13:21 san Note Added: 0033252
2014-10-17 13:21 san Assigned To kgv => bugmaster
2014-10-17 13:21 san Status resolved => reviewed
2014-10-17 15:58 kgv Relationship added has duplicate 0025391
2014-10-17 18:05 mkv Assigned To bugmaster => mkv
2014-10-17 19:00 git Note Added: 0033283
2014-10-20 19:44 mkv Note Added: 0033352
2014-10-20 19:45 mkv Test case number => Not needed
2014-10-20 19:45 mkv Assigned To mkv => dbp
2014-10-20 19:45 mkv Status reviewed => assigned
2014-10-21 11:41 git Note Added: 0033366
2014-10-21 11:42 dbp Note Added: 0033367
2014-10-21 11:42 dbp Assigned To dbp => kgv
2014-10-21 11:42 dbp Status assigned => resolved
2014-10-21 11:53 dbp Note Added: 0033368
2014-10-21 11:53 dbp Assigned To kgv => bugmaster
2014-10-21 11:53 dbp Status resolved => assigned
2014-10-21 12:43 bugmaster Assigned To bugmaster => kgv
2014-10-21 12:43 bugmaster Status assigned => resolved
2014-10-21 12:44 bugmaster Assigned To kgv => mkv
2014-10-21 12:44 bugmaster Status resolved => reviewed
2014-10-22 18:31 mkv Note Added: 0033587
2014-10-22 18:31 mkv Assigned To mkv => bugmaster
2014-10-22 18:31 mkv Status reviewed => tested
2014-10-23 10:32 bugmaster Target Version => 6.8.0
2014-10-24 15:38 bugmaster Changeset attached => occt master 3fb72902
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:04 git Note Added: 0034270


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker